package com.jsh.erp.datasource.pda.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class PDATaskStocktakingVO {

    @ApiModelProperty("任务ID")
    private Long id;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("任务单号")
    private String number;

    @ApiModelProperty("仓库名称")
    private String depotName;

    @ApiModelProperty("创建人名称")
    private String createByName;

    @ApiModelProperty("负责人名称")
    private String creatorName;

    @ApiModelProperty("种类数")
    private Integer categoryCount;

    @ApiModelProperty("商品数")
    private Integer materialCount;

    @ApiModelProperty("盘点人名称")
    private String operName;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("盘点时间")
    private Date operTime;

    @ApiModelProperty("任务状态 0.未开始，1.进行中，2.已完成，3.已取消")
    private Integer taskStatus;

}
